Fatal error: DateTime::__construct()

  • Moin,

    Die Mysql-Version sollte mindestes 5.17 sein!


    na dann wird wohl der jetzige Fehler damit zusammen hängen:




    wie geht denn das auf einmal? Bei einer zu alten DB-Version hätte es doch erst gar nicht installiert werden dürfen.


    guckst du hier:



    Dann werde ich wohl mal mit 1und1 telefonieren und fragen, wann eine höhere Mysql Version auf den Managed Server geplant ist.

    Beste Grüße, Udo


    Burning Board® 3.1.6
    WBB-Portal 2.2.1

  • Moin,

    Es wird 5.1.17 oder höher benötigt, nicht 5.17 :)


    dann passt ja die 5.1.66 Version und nun? Irgendwie eine Idee, warum die MySQL Version nach erfolgreicher Installation bemängelt wird. ?(

    Beste Grüße, Udo


    Burning Board® 3.1.6
    WBB-Portal 2.2.1

    • Official Post

    In der PHP-Info steht nur die Version der Client-Bibliothek, nicht aber der tatsächlichen MySQL-Serverversion. Öffne phpMyAdmin, klick in der linken Leiste oben auf das Icon für "SQL" und gibt dort folgendes ein:

    SQL
    SHOW VARIABLES LIKE '%version%'


    Bitte die vollständige Ausgabe der im rechten Fenster angezeigten Tabelle hier angeben. Tipp: Nutze dafür die [code] … [/code]-tags.

  • Moin,


    Code
    protocol_version10 
    version5.1.66-0+squeeze1
    version_comment(Debian)
    version_compile_machinei486
    version_compile_osdebian-linux-gnu


    Beste Grüße, Udo


    Burning Board® 3.1.6
    WBB-Portal 2.2.1

  • so ich kann die version immer noch nicht installieren, immer wieder der fehler register_Activation_method


    schuld ist da die options.inc.php

  • =) dürfte ich erfahren wo da der Köter begraben ist ? vielleicht kann ich das selber ändern, bzw. dem support als beispiel vorbringen.
    wäre auch bereit FTP und DB zugang zu schalten :)

    • Official Post

    Ich versuche es mal so einfach wie möglich zu erklären: Wir verwenden standardmäßig $_SERVER['PATH_INFO'] um die aufgerufene Seite zu ermitteln. Bei 1&1 steht diese Variable nicht zur Verfügung, hier muss man $_SERVER['ORIG_PATH_INFO'] verwenden. Zusätzlich ist das Verhalten der Variable bei 1&1 sehr merkwürdig:

    • /acp/index.php/PackageList/?pageNo=2, in der Variable steht nun /PackageList/
    • /acp/index.php?foo=bar, in der Variable steht nun /acp/index.php

    Wie man erkennen kann, ändert sich der Inhalt der Variable so grundlegend, dass sie erstmal unbrauchbar wird. Ich musste extra eine Prüfung einbauen um diesen Stolperstein zu umgehen. 1&1 ist im übrigen der einzige uns aktuell bekannte Anbieter, bei dem es sich so verhält.

  • Ahh ok Hmm wurde das dem Support von 1 und 1 gemeldet ?
    Hmm was seltsam ist ich hab den Problem bei einem Kunden der Strato hat auch aber Mittler Weile geht es nun obwohl nicht geändert wurde meines Wissens


    Kann man das irgendwie ändern ? Also bei 1und1 ? Evtl per php ini ?

  • Danke Alexander


    Wie das lässt sich nicht ändern ? Kann doch auch die php ini ändern
    Aber ok freut mich das du da eine einwandfreie Installation durchführen konnte :) dann bin ich mal gespannt. Notfalls kann ich dir auch meine FTP Daten zu kommen lassen. ;)

  • Hui, dann muss ich meine Kündigung bei 1und1 ja schnell zurückziehen :D


    Danke Alexander, dass lässt hoffen!


    LG Franz


    Kündigung, nur weil das Beta noch nicht läuft - hast du noch mehr bei 1und1 laufen?

    Freundliche Grüße HSE24 & onel01

  • Habe das Wbb4 auf zwei Server zum Testen.
    Auf einem hatte ich das Problem mit der DateTime (Beta1).
    Mit der Beta 2 nicht mehr. :thumbup:

    m.f.g.
    dartgott


    Es ist eagl in wlehcer Reiehnfogle die Bchustebaen in Woeretrn vokrmomen. Es ist nur withcig, dsas der ertse und lettze Bchusatbe an der ricthgien Stlele setht . Der Rset knan total falcsh sein und man knan es onhe Porbelme leesn.
    .dart-board > .game { align-items: center;}

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!